> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# List borrow markets by network

> Retrieves a paginated list of supported borrow markets for one network using the canonical network slug.



## OpenAPI

````yaml https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/{network}
openapi: 3.0.3
info:
  title: Vaults.fyi Beta API
  version: 0.1.0
  description: >-
    Beta API endpoints for features in testing. These endpoints are not included
    in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Beta API
security: []
tags:
  - name: Borrow Markets
  - name: The Deep
  - name: Fixed Term (Pendle)
  - name: Portfolio
  - name: SVM
paths:
  /beta/borrow/markets/{network}:
    get:
      tags:
        - Borrow Markets
      summary: List borrow markets by network
      description: >-
        Retrieves a paginated list of supported borrow markets for one network
        using the canonical network slug.
      operationId: listBorrowMarketsByNetwork
      parameters:
        - schema:
            type: integer
            minimum: 0
            default: 0
          in: query
          name: page
          required: false
          description: Page number (starting from 0)
        - schema:
            type: integer
            exclusiveMinimum: true
            minimum: 0
            maximum: 1000
            default: 50
          in: query
          name: perPage
          required: false
          description: Number of items per page
        - schema:
            type: string
            enum:
              - mainnet
              - optimism
              - arbitrum
              - polygon
              - gnosis
              - base
              - unichain
              - swellchain
              - celo
              - worldchain
              - berachain
              - ink
              - bsc
              - hyperliquid
              - plasma
              - avalanche
              - katana
              - linea
              - mega-eth
              - monad
              - etherlink
          in: path
          name: network
          required: true
          description: Canonical network slug
      responses:
        '200':
          description: Paginated list of borrow markets
          content:
            application/json:
              schema:
                type: object
                properties:
                  itemsOnPage:
                    type: integer
                    description: Number of items on the current page
                  nextPage:
                    type: integer
                    description: Next page number
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        marketId:
                          type: string
                        name:
                          type: string
                        network:
                          type: object
                          properties:
                            name:
                              type: string
                              enum:
                                - mainnet
                                - optimism
                                - arbitrum
                                - polygon
                                - gnosis
                                - base
                                - unichain
                                - swellchain
                                - celo
                                - worldchain
                                - berachain
                                - ink
                                - bsc
                                - hyperliquid
                                - plasma
                                - avalanche
                                - katana
                                - linea
                                - mega-eth
                                - monad
                                - etherlink
                              description: Name of the network
                            chainId:
                              type: integer
                              description: Chain ID of the network
                            networkCaip:
                              type: string
                              pattern: ^eip155:\d+$
                              description: CAIP-2 of the network
                          required:
                            - name
                            - chainId
                            - networkCaip
                          additionalProperties: false
                        protocol:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Name of the protocol
                            product:
                              type: string
                              description: Product of the protocol
                            version:
                              type: string
                              description: Version of the protocol
                          required:
                            - name
                          additionalProperties: false
                        marketRootAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                        assetsData:
                          type: array
                          items:
                            type: object
                            properties:
                              asset:
                                type: object
                                properties:
                                  address:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: Address of the asset
                                  assetCaip:
                                    type: string
                                    pattern: >-
                                      ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                                    description: CAIP-2 of the asset
                                  name:
                                    type: string
                                    description: Name of the asset
                                  symbol:
                                    type: string
                                    description: Symbol of the asset
                                  decimals:
                                    type: integer
                                    description: Number of decimals of the asset
                                  assetLogo:
                                    type: string
                                    format: uri
                                    description: URL of the asset logo
                                  assetPriceInUsd:
                                    type: string
                                    description: Price of the asset in USD
                                  assetGroup:
                                    type: string
                                    description: >-
                                      Group of the asset, e.g., ETH, USD, EURO,
                                      BTC, OTHER
                                  oraclePriceUsd:
                                    type: string
                                    description: >-
                                      Lending protocol oracle price of the asset
                                      in USD. May differ from assetPriceInUsd.
                                required:
                                  - address
                                  - assetCaip
                                  - name
                                  - symbol
                                  - decimals
                                  - assetGroup
                                additionalProperties: false
                              isCollateralEnabled:
                                type: boolean
                              supportsHistoricalData:
                                type: boolean
                              supplyRate:
                                type: number
                                minimum: 0
                              borrowRate:
                                type: number
                                minimum: 0
                              utilizationRate:
                                type: number
                                minimum: 0
                              totalSupplied:
                                type: object
                                properties:
                                  usd:
                                    type: string
                                    description: >-
                                      USD value of the amount. Omitted when no
                                      price is available.
                                  native:
                                    type: string
                                    description: Amount denominated in asset precision
                                required:
                                  - native
                                additionalProperties: false
                              totalBorrowed:
                                type: object
                                properties:
                                  usd:
                                    type: string
                                    description: >-
                                      USD value of the amount. Omitted when no
                                      price is available.
                                  native:
                                    type: string
                                    description: Amount denominated in asset precision
                                required:
                                  - native
                                additionalProperties: false
                              availableLiquidity:
                                type: object
                                properties:
                                  usd:
                                    type: string
                                    description: >-
                                      USD value of the amount. Omitted when no
                                      price is available.
                                  native:
                                    type: string
                                    description: Amount denominated in asset precision
                                required:
                                  - native
                                additionalProperties: false
                              assetConfig:
                                type: object
                                properties:
                                  isBorrowEnabled:
                                    type: boolean
                                  borrowInterestFeeRate:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                  borrowCap:
                                    type: string
                                  supplyCap:
                                    type: string
                                required:
                                  - isBorrowEnabled
                                additionalProperties: false
                              interestRateModel:
                                type: object
                                properties:
                                  model:
                                    type: string
                                    enum:
                                      - single-kink
                                  baseRate:
                                    type: number
                                    minimum: 0
                                  optimalUtilization:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                  slope1:
                                    type: number
                                    minimum: 0
                                  slope2:
                                    type: number
                                    minimum: 0
                                required:
                                  - model
                                  - baseRate
                                  - optimalUtilization
                                  - slope1
                                  - slope2
                                additionalProperties: false
                              defaultRiskParameters:
                                type: object
                                properties:
                                  maxLtv:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                  liquidationThreshold:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                  liquidationPenalty:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                required:
                                  - maxLtv
                                  - liquidationThreshold
                                additionalProperties: false
                              pairwiseRiskParameters:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    maxLtv:
                                      type: number
                                      minimum: 0
                                      maximum: 1
                                    liquidationThreshold:
                                      type: number
                                      minimum: 0
                                      maximum: 1
                                    liquidationPenalty:
                                      type: number
                                      minimum: 0
                                      maximum: 1
                                  required:
                                    - maxLtv
                                    - liquidationThreshold
                                  additionalProperties: false
                            required:
                              - asset
                              - isCollateralEnabled
                              - supportsHistoricalData
                              - assetConfig
                            additionalProperties: false
                      required:
                        - marketId
                        - name
                        - network
                        - protocol
                        - marketRootAddress
                        - assetsData
                      additionalProperties: false
                      description: Array of items on the current page
                required:
                  - itemsOnPage
                  - data
                additionalProperties: false
                description: Paginated list of borrow markets
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````